This is the mail archive of the glibc-cvs@sourceware.org mailing list for the glibc project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

GNU C Library master sources branch, master, updated. glibc-2.15-458-g8149f97


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, master has been updated
       via  8149f976066c922eeafc10d72572c8ae59d54d31 (commit)
      from  be22ce65d7643ffcd2dcb55b73eae4d7da6f0d71 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://sources.redhat.com/git/gitweb.cgi?p=glibc.git;a=commitdiff;h=8149f976066c922eeafc10d72572c8ae59d54d31

commit 8149f976066c922eeafc10d72572c8ae59d54d31
Author: Thomas Schwinge <thomas@codesourcery.com>
Date:   Wed Mar 21 18:10:03 2012 +0100

    Don't tamper with $HOME.

diff --git a/ChangeLog b/ChangeLog
index c2266e2..b65061f 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,9 @@
+2012-03-21  Thomas Schwinge  <thomas@codesourcery.com>
+
+        * conform/conformtest.pl: Handle --tmpdir argument, defaulting to /tmp.
+        * conform/run-conformtest.sh: Pass --tmpdir argument when invoking
+        conformtest.pl
+
 2012-03-21  Joseph Myers  <joseph@codesourcery.com>
 
 	* NOTES: Remove.
diff --git a/conform/conformtest.pl b/conform/conformtest.pl
index 6a78020..83650c2 100644
--- a/conform/conformtest.pl
+++ b/conform/conformtest.pl
@@ -3,11 +3,11 @@
 use Getopt::Long;
 use POSIX;
 
+$standard = "XOPEN2K8";
 $CC = "gcc";
-
-$standard="XOPEN2K8";
+$tmpdir = "/tmp";
 GetOptions ('headers=s' => \@headers, 'standard=s' => \$standard,
-	    'flags=s' => \$flags, 'cc=s' => \$CC);
+	    'flags=s' => \$flags, 'cc=s' => \$CC, 'tmpdir=s' => \$tmpdir);
 @headers = split(/,/,join(',',@headers));
 
 # List of the headers we are testing.
@@ -84,11 +84,6 @@ while ($#knownproblems >= 0) {
   $isknown{pop (@knownproblems)} = 1;
 }
 
-$uid = getuid();
-($pwname,$pwpasswd,$pwuid,$pwgid,
- $pwquota,$pwcomment,$pwgcos,$pwdir,$pwshell,$pwexpire) = getpwuid($uid);
-$tmpdir = "$pwdir";
-
 $verbose = 1;
 
 $total = 0;
diff --git a/conform/run-conformtest.sh b/conform/run-conformtest.sh
index d83aa79..c82fbcb 100644
--- a/conform/run-conformtest.sh
+++ b/conform/run-conformtest.sh
@@ -5,6 +5,9 @@ perl="$2"
 cc="$3"
 includes="$4"
 
+scratch=${objpfx}scratch
+mkdir -p "$scratch"
+
 standards=("ISO" "ISO99" "ISO11" "POSIX" "XPG3" "XPG4" "UNIX98"
 	   "XOPEN2K" "XOPEN2K8" "POSIX2008")
 
@@ -13,7 +16,7 @@ exitval=0
 for s in ${standards[*]}; do
     echo -n $s...
     e=0
-    if ! $perl conformtest.pl --cc="$cc" --flags="$includes" --standard=$s > ${objpfx}conform-$s.out; then
+    if ! $perl conformtest.pl --tmpdir="$scratch" --cc="$cc" --flags="$includes" --standard=$s > ${objpfx}conform-$s.out; then
 	e=1
     fi
     printf "\n%s\n" $s >> ${objpfx}run-conformtest.out

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog                  |    6 ++++++
 conform/conformtest.pl     |   11 +++--------
 conform/run-conformtest.sh |    5 ++++-
 3 files changed, 13 insertions(+), 9 deletions(-)


hooks/post-receive
-- 
GNU C Library master sources


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]